### Method

# RB TransferTarget check_duplicate

#### Declaration [src]

    gboolean
    rb_transfer_target_check_duplicate (
      RBTransferTarget* target,
      RhythmDBEntry* entry
    )

#### Description [src]

This checks for an existing entry in the target that matches the title, album, artist, and track number of the entry being considered. This can be used to implement `should_transfer`.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  A `RhythmDBEntry` to check.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the entry already exists on the target.